org.jboss.netty.util

## Class DebugUtil

- java.lang.Object
- - org.jboss.netty.util.DebugUtil

-     public final class DebugUtil
      extends Object

  Determines if Netty is running in a debug mode or not. Please note that this is not a Java debug mode. You can enable Netty debug mode by specifying the `"org.jboss.netty.debug"` system property (e.g. `java -Dorg.jboss.netty.debug ...`)

  If debug mode is disabled (default), the stack trace of the exceptions are compressed to help debugging a user application.

  If debug mode is enabled, the stack trace of the exceptions raised in `ChannelPipeline` or `ChannelSink` are retained as it is to help debugging Netty.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isDebugEnabled()` Returns `true` if and only if Netty debug mode is enabled.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isDebugEnabled

          public static boolean isDebugEnabled()

      Returns `true` if and only if Netty debug mode is enabled.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.